/*
 IEEE_IoT_Sketch01_Blink_V02.ino
 
 Blink a built-in LED connected to GPIO16 (D0) on the NodeMCU.
 The blue LED on the ESP8266-12 module is connected to GPIO2.
 
 Karl Berger 
 24 May 2016
 */

// Global constants
const int LED_PIN = 16;           // the built in LED is on GPIO16 (D0)
const int DURATION_ON = 100;      // ON duration in milliseconds
const int DURATION_OFF = 1000;    // OFF duration in milliseconds

// Every Arduino sketch must have a setup() function
// setup() runs once
void setup() 
{
  // Initialize the LED_PIN as a digital output
  pinMode(LED_PIN, OUTPUT);       // set LEDPIN to OUTPUT mode
} //setup()

// Every Arduino sketch must have a loop() function
// loop() runs forever
void loop() 
{
  // pull the output pin to ground
  // to turn the LED on
  digitalWrite(LED_PIN, LOW);

  // pause for the ON duration
  delay(DURATION_ON);

  // pull the output pin to V+
  // to turn the LED off
  digitalWrite(LED_PIN, HIGH);
  
// Pause for the OFF duration  
  delay(DURATION_OFF);                      
}  // loop()
