/*
   IEEE_IoT_Sketch02_Hello_World

   Displays a Hello World message on a liquid crystal display

   IEEE Internet of Things
   Northern Virginia Section
   K. Berger
   15 October 2016

   Requires bi-directional level converters
   on the I2C lines to LCD

   Hardware connections to NodeMCU:
   Signal     NodeMCU       Lvl Conv      LCD
   ------     -------       --------      ---
     5V ----- VIN --------------- HV ---- VCC
     3.3V --- 3V3 --------- LV  |
     GND ---- GND --------- GND | GND --- GND
     SCL ---- D1 (GPIO5) -- LV1 | HV1 --- SCL
     SDA ---- D2 (GPIO4) -- LV2 | HV2 --- SDA
*/

// use Sketch | Include Library | Manage Libraries...
// search for LiquidCrystal_I2C by Frank de Brabander.
#include <Wire.h>                // I2C bus driver
#include <LiquidCrystal_I2C.h>   // https://github.com/fdebrabander/Arduino-LiquidCrystal-I2C-library

// ********* INSTANTIATE OBJECTS *****************
// usage: LiquidCrystal_I2C your_object_name(I2C_address, columns, rows);
// use IEEE_IoT_I2C_scanner if address is not known
LiquidCrystal_I2C lcd(0x27, 16, 2);

// ********************* SETUP ********************
void setup()
{
  lcd.begin();                         // initialize the lcd
  lcd.backlight();                     // turn on backlight
  lcd.print("IEEE Northern VA");       // print at (0, 0)
  lcd.setCursor(2, 1);                 // move to next line & indent to center text
  lcd.print("Hello World!");           // enter your text
} //setup()

// ******************** LOOP ***********************
void loop()
{
  // nothing to do here
} // loop()

// ***************** END *************************
